# Deprecated API

## Contents

- Methods

Methods
net.snowflake.client.core.QueryExecDTO.getSequenceId()
net.snowflake.client.core.QueryExecDTO.setSequenceId​(Integer)
net.snowflake.client.core.ResultUtil.getDate​(String, TimeZone, SFBaseSession)
net.snowflake.client.jdbc.SnowflakeBaseResultSet.getBigDecimal​(String, int)
net.snowflake.client.jdbc.SnowflakeBaseResultSet.getUnicodeStream​(int)
net.snowflake.client.jdbc.SnowflakeConnectionV1.compressAndUploadStream​(String, String, InputStream, String)
net.snowflake.client.jdbc.SnowflakeConnectionV1.uploadStream​(String, String, InputStream, String, long)
net.snowflake.client.jdbc.SnowflakeResultSetSerializable.getResultSet(): Please use new interface function getResultSet(ResultSetRetrieveConfig)
net.snowflake.client.jdbc.SnowflakeResultSetSerializableV1.getResultSet(): Please use new interface function getResultSet(ResultSetRetrieveConfig)
net.snowflake.client.jdbc.SnowflakeResultSetV1.getBigDecimal​(int, int)